Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RegisterUser

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.RegisterUser

Enclosing class:
  TdApi

public static final class TdApi.RegisterUser extends TdApi.Function<TdApi.Ok>
Finishes user registration. Works only when the current authorization state is authorizationStateWaitRegistration.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`disableNotification`
Pass true to disable notification about the current user joining Telegram for other users that added them to contact list.
`String`
`firstName`
The first name of the user; 1-64 characters.
`String`
`lastName`
The last name of the user; 0-64 characters.

## Constructor Summary

Constructors
Constructor
Description
`RegisterUser()`
Finishes user registration.
`RegisterUser(DataInput input)`
Finishes user registration.
`RegisterUser(String firstName, String lastName, boolean disableNotification)`
Finishes user registration.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### firstName

public String firstName
The first name of the user; 1-64 characters.

### lastName

public String lastName
The last name of the user; 0-64 characters.

### disableNotification

public boolean disableNotification
Pass true to disable notification about the current user joining Telegram for other users that added them to contact list.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### RegisterUser

public RegisterUser()
Finishes user registration. Works only when the current authorization state is authorizationStateWaitRegistration.

Returns `Ok`

### RegisterUser

public RegisterUser(String firstName, String lastName, boolean disableNotification)
Finishes user registration. Works only when the current authorization state is authorizationStateWaitRegistration.

Returns `Ok`

Parameters:
  `firstName` - The first name of the user; 1-64 characters.
  `lastName` - The last name of the user; 0-64 characters.
  `disableNotification` - Pass true to disable notification about the current user joining Telegram for other users that added them to contact list.

  Returns `Ok`

### RegisterUser

public RegisterUser(DataInput input) throws IOException
Finishes user registration. Works only when the current authorization state is authorizationStateWaitRegistration.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`